Create webhook
POST
/integrations/{id}/webhooks
const url = 'https://shoehorn.example.com/api/v1/integrations/example/webhooks';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"url":"https://example.com","events":["example"],"secret":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/integrations/example/webhooks \ --header 'Content-Type: application/json' \ --data '{ "url": "https://example.com", "events": [ "example" ], "secret": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
url
required
string format: uri
events
required
Array<string>
secret
string
Example generated
{ "url": "https://example.com", "events": [ "example" ], "secret": "example"}Responses
Section titled “ Responses ”Webhook created